You can skip this in seconds

Click here to continue

TapiRex 1.7.5

What's Required in Version 1.7.5 of TapiRex

phone device with Tapi 2.1 compliant drivers, ISDN card with CAPI drivers or installed Skype

What's New in Version 1.7.5 of TapiRex

see changelog at

Look for Similar Items by Category

Internet > Internet Tools
This product is also listed in: Personal Info Managers


Popular Downloads